FreeBSD : lldpd -- Buffer overflow/Denial of service (2a4a112a-7c1b-11e5-bd77-0800275369e2)

This script is Copyright (C) 2015 Tenable Network Security, Inc.


Synopsis :

The remote FreeBSD host is missing a security-related update.

Description :

The lldpd developer Vincent Bernat reports :

A buffer overflow may allow arbitrary code execution only if hardening
was disabled.

Malformed packets should not make lldpd crash. Ensure we can handle
them by not using assert() in this part.

See also :

https://github.com/vincentbernat/lldpd/raw/0.7.19/NEWS
http://www.openwall.com/lists/oss-security/2015/10/30/2
http://www.nessus.org/u?b94f4d19

Solution :

Update the affected package.

Risk factor :

High

Family: FreeBSD Local Security Checks

Nessus Plugin ID: 86620 ()

Bugtraq ID:

CVE ID: CVE-2015-8011
CVE-2015-8012

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now